Skip to content
Browse files

Add python dependencies (exact versions important)

  • Loading branch information...
1 parent 09c5cee commit e1c0c7a1d8d51620005791c1c235fe4dba20732a @danielrichman danielrichman committed
Showing with 8 additions and 1 deletion.
  1. +3 −1 README.md
  2. +5 −0 requirements.txt
View
4 README.md
@@ -13,7 +13,9 @@ The following items need to be executable (`chmod +x ./predict.py`) by the user
* `cron/clear-pydap-cache-cronjob.sh`
* `cron/purge-predictions-cronjob.sh`
-The `predict/preds/` and `gfs/` directories need to have rwx access by the PHP interpreter and the `predict.py` python script. You will need to install the following python packages: pydap, numpy, json, simple-json. We use `at` to automatically background the predictor, so you will need that installed.
+The `predict/preds/` and `gfs/` directories need to have rwx access by the PHP interpreter and the `predict.py` python script. You will need to install the python dependencies listed in requirements.txt. In the case of PyDAP, the exact version is important; the easiest way is:
+
+ $ pip install -r requirements.txt
Other than that, just clone this repo to a non web-accessible folder and create symlinks to the `predict/` directory in the repo.
View
5 requirements.txt
@@ -0,0 +1,5 @@
+Pydap==3.0.1
+numpy==1.5.1
+statsd-client==1.0.2
+simplejson==2.1.1
+

0 comments on commit e1c0c7a

Please sign in to comment.
Something went wrong with that request. Please try again.